Package org.eclipse.cdt.utils.macho

## Class MachO64.LoadCommand

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO64.LoadCommand

Direct Known Subclasses:
  `MachO64.DyLibCommand`, `MachO64.DyLinkerCommand`, `MachO64.DySymtabCommand`, `MachO64.FVMFileCommand`, `MachO64.FVMLibCommand`, `MachO64.IdentCommand`, `MachO64.MachUUID`, `MachO64.PrebindCksumCommand`, `MachO64.PreboundDyLibCommand`, `MachO64.RoutinesCommand`, `MachO64.SegmentCommand`, `MachO64.SubClientCommand`, `MachO64.SubFrameworkCommand`, `MachO64.SubLibraryCommand`, `MachO64.SubUmbrellaCommand`, `MachO64.SymSegCommand`, `MachO64.SymtabCommand`, `MachO64.ThreadCommand`, `MachO64.TwoLevelHintsCommand`, `MachO64.UnknownCommand`

Enclosing class:
  MachO64

    public class MachO64.LoadCommand
    extends Object

### Field Summary

Fields
`int` `cmd`
`int` `cmdsize`
`static int` `LC_DYSYMTAB`
`static int` `LC_FVMFILE`
`static int` `LC_ID_DYLIB`
`static int` `LC_ID_DYLINKER`
`static int` `LC_IDENT`
`static int` `LC_IDFVMLIB`
`static int` `LC_LOAD_DYLIB`
`static int` `LC_LOAD_DYLINKER`
`static int` `LC_LOAD_WEAK_DYLIB`
`static int` `LC_LOADFVMLIB`
`static int` `LC_PREBIND_CKSUM`
`static int` `LC_PREBOUND_DYLIB`
`static int` `LC_PREPAGE`
`static int` `LC_REQ_DYLD`
`static int` `LC_ROUTINES`
`static int` `LC_ROUTINES_64`
`static int` `LC_SEGMENT`
`static int` `LC_SEGMENT_64`
`static int` `LC_SUB_CLIENT`
`static int` `LC_SUB_FRAMEWORK`
`static int` `LC_SUB_LIBRARY`
`static int` `LC_SUB_UMBRELLA`
`static int` `LC_SYMSEG`
`static int` `LC_SYMTAB`
`static int` `LC_THREAD`
`static int` `LC_TWOLEVEL_HINTS`
`static int` `LC_UNIXTHREAD`
`static int` `LC_UUID`

### Constructor Summary

Constructors
`LoadCommand()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LC_REQ_DYLD

    public static final int LC_REQ_DYLD

See Also:
  Constant Field Values

#### LC_SEGMENT

    public static final int LC_SEGMENT

See Also:
  Constant Field Values

#### LC_SYMTAB

    public static final int LC_SYMTAB

See Also:
  Constant Field Values

#### LC_SYMSEG

    public static final int LC_SYMSEG

See Also:
  Constant Field Values

#### LC_THREAD

    public static final int LC_THREAD

See Also:
  Constant Field Values

#### LC_UNIXTHREAD

    public static final int LC_UNIXTHREAD

See Also:
  Constant Field Values

#### LC_LOADFVMLIB

    public static final int LC_LOADFVMLIB

See Also:
  Constant Field Values

#### LC_IDFVMLIB

    public static final int LC_IDFVMLIB

See Also:
  Constant Field Values

#### LC_IDENT

    public static final int LC_IDENT

See Also:
  Constant Field Values

#### LC_FVMFILE

    public static final int LC_FVMFILE

See Also:
  Constant Field Values

#### LC_PREPAGE

    public static final int LC_PREPAGE

See Also:
  Constant Field Values

#### LC_DYSYMTAB

    public static final int LC_DYSYMTAB

See Also:
  Constant Field Values

#### LC_LOAD_DYLIB

    public static final int LC_LOAD_DYLIB

See Also:
  Constant Field Values

#### LC_ID_DYLIB

    public static final int LC_ID_DYLIB

See Also:
  Constant Field Values

#### LC_LOAD_DYLINKER

    public static final int LC_LOAD_DYLINKER

See Also:
  Constant Field Values

#### LC_ID_DYLINKER

    public static final int LC_ID_DYLINKER

See Also:
  Constant Field Values

#### LC_PREBOUND_DYLIB

    public static final int LC_PREBOUND_DYLIB

See Also:
  Constant Field Values

#### LC_ROUTINES

    public static final int LC_ROUTINES

See Also:
  Constant Field Values

#### LC_SUB_FRAMEWORK

    public static final int LC_SUB_FRAMEWORK

See Also:
  Constant Field Values

#### LC_SUB_UMBRELLA

    public static final int LC_SUB_UMBRELLA

See Also:
  Constant Field Values

#### LC_SUB_CLIENT

    public static final int LC_SUB_CLIENT

See Also:
  Constant Field Values

#### LC_SUB_LIBRARY

    public static final int LC_SUB_LIBRARY

See Also:
  Constant Field Values

#### LC_TWOLEVEL_HINTS

    public static final int LC_TWOLEVEL_HINTS

See Also:
  Constant Field Values

#### LC_PREBIND_CKSUM

    public static final int LC_PREBIND_CKSUM

See Also:
  Constant Field Values

#### LC_SEGMENT_64

    public static final int LC_SEGMENT_64

See Also:
  Constant Field Values

#### LC_ROUTINES_64

    public static final int LC_ROUTINES_64

See Also:
  Constant Field Values

#### LC_UUID

    public static final int LC_UUID

See Also:
  Constant Field Values

#### LC_LOAD_WEAK_DYLIB

    public static final int LC_LOAD_WEAK_DYLIB

See Also:
  Constant Field Values

#### cmd

    public int cmd

#### cmdsize

    public int cmdsize

### Constructor Detail

#### LoadCommand

    public LoadCommand()